/* this code is a custom font called Bangers from google. */
@import url('https://fonts.googleapis.com/css2?family=Bangers&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

body
{
	background-image: url(images/background.png);
	background-size: cover;
  	background-attachment: fixed;
  	background-repeat: no-repeat;
  	background-position: center;
	margin: 0;
	padding: 0;
}
.mainTitle
{
	border-style: ridge;
	border-color: black;
    box-shadow: inset 0 0 10px rgba(0,0,0,.5);
    padding: 30px;
    text-align: center;
    font-size: 50px;
    font-family: 'Bangers';
    text-shadow: 2px 2px White;
    background-color: #a173d1;
    border-width: thick;
    color: Black;
    border-radius: 75px;
    width: fit-content;
    margin: 0;
    position: relative;
}
.selected
{
	border-color: white;
    box-shadow: inset 0 0 10px rgba(0,0,0,.5);
    padding: 30px;
    text-align: center;
    font-size: 50px;
    font-family: 'Bangers';
    text-shadow: 2px 2px black;
    background-color: #a173d1;
    border-width: thick;
    color: white;
    border-radius: 75px;
    width: fit-content;
    margin: 0 auto;
    position: relative;
	cursor: pointer;
}
.biggerHTags
{
	border-style: ridge;
	border-color: black;
    box-shadow: inset 0 0 10px rgba(0,0,0,.5);
    padding: 15px;
    text-align: center;
    font-size: 64px;
    font-family: 'Bangers';
    text-shadow: 2px 2px White;
    background-color: #a173d1;
    border-width: thick;
    color: Black;
    border-radius: 75px;
    width: fit-content;
    margin: 0 auto;
    position: relative;
}
.smallerHTags
{
	border-style: ridge;
	border-color: black;
    box-shadow: inset 0 0 10px rgba(0,0,0,.5);
    padding: 15px;
    text-align: center;
    font-size: 40px;
    font-family: 'Bangers';
	font-weight: 700;
    text-shadow: 2px 2px White;
    background-color: #a173d1;
    border-width: thick;
    color: Black;
    border-radius: 75px;
    width: fit-content;
    margin: 0 auto;
    position: relative;
}
.gameCon
{
	left: -10%;
	border-style: ridge;
	border-color: black;
    box-shadow: inset 0 0 10px rgba(0,0,0,.5);
    padding: 10px;
    text-align: center;
    font-size: 28px;
    font-family: 'Bangers';
    text-shadow: 2px 2px White;
    background-color: #a173d1;
    border-width: thick;
    color: Black;
    border-radius: 75px;
    width: fit-content;
    margin: 0 auto;
    position: relative;
}
/* This code is a cool fade in I learned in this youtube video: https://www.youtube.com/watch?v=UInN6O_nMKs&ab_channel=CodeRookie */
/* START OF FADE CODE */
.fade-in
{
	animation: fadeIn 1s;
}
@keyframes fadeIn
{
	from
	{
		opacity: 0;
	}
	to
	{
		opacity: 1;
	}
}
/* END OF FADE CODE */
p
{
	border-style: ridge;
	border-color: White;
	border-radius: 10px;
	position: relative;
	margin: 10px auto;
	font-family: 'Montserrat';
	font-size: 24px;
	color: white;
	font-weight: 700;
	text-shadow: 2px 2px black;
	text-align: center;
	overflow: auto;
	padding: 20px;
  	width: 70%;
}
p::before 
{
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: inherit;
	backdrop-filter: blur(10px);
	-webkit-backdrop-filter: blur(10px);
	z-index: -1;
	border-radius: 10px;
}
button
{
	border-color: black;
    box-shadow: inset 0 0 10px rgba(0,0,0,.5);
    padding: 30px;
    text-align: center;
    font-size: 50px;
    font-family: 'Bangers';
    text-shadow: 2px 2px White;
    background-color: #a173d1;
    border-width: thick;
    color: Black;
    border-radius: 75px;
    width: fit-content;
    margin: 0 auto;
    position: relative;
	cursor: pointer;
}
button:hover
{
	border-color: rgb(255, 255, 255);
	color: white;
	text-shadow: 2px 2px Black;
	transition-duration: 0.3s;
}
iframe
{
	border-style: ridge;
	border-color: black;
    box-shadow: inset 0 0 10px rgba(0,0,0,.5);
    padding: 15px;
    text-align: center;
    font-size: 40px;
    font-family: 'Bangers';
	font-weight: 700;
    text-shadow: 2px 2px White;
    background-color: #000000;
    border-width: thick;
    color: Black;
    border-radius: 75px;
    width: 550px;
    margin: 0 auto;
    position: relative;
}
.button
{
	border-style: ridge;
	box-shadow: inset 0 0 10px rgba(0,0,0,.5);
	border-radius: 10px;
	background-color: #a173d1;
	padding: 5px;
  	margin: 10px;
	font-family: 'Bangers';
	font-size: 30px;
}
audio, img
{
	border-style: ridge;
	border-color: black;
	border-width: thick;
	box-shadow: inset 0 0 10px rgba(0,0,0,.5);
	border-radius: 30px;
	background-color: White;
	padding: 5px;
	margin: 0 auto; 
	color: black;
	position: relative;
}
.downloadGame
{
	left: -10%;
}
.audioCentering
{
	width: 20%;
	left: 35.5%;
}
.centerButtons
{
	text-align: center;
}
.blur2
{
	display: flex;
	align-items: center;
	justify-content: space-between;
	width: 100%;
}
.blur
{
	border-style: ridge;
	border-color: White;
	border-radius: 10px;
	position: fixed;
	right: 0;
	left: 0;
	top: 0;
	z-index: 10;
	padding: 10px;
}
.blur::before 
{
	content: '';
	backdrop-filter: blur(10px); 
	-webkit-backdrop-filter: blur(10px); 
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: inherit; 
	z-index: -1; 
	border-radius: 10px; 
}
.filter
{
	position: fixed;
  	top: 175px;
  	right: 30px;
	width: 380px;
	z-index: 9;
	box-sizing: border-box; 
}
.filter p
{
	max-height: 710px; 
	flex-grow: 1;
    overflow-y: auto;
}
.searchBar
{
	padding: 10px;
    font-size: 16px;
    background-color: #1f1f1f;
    color: white;
    width: 250px; 
	font-family: 'Montserrat';
}
.imgBtn
{
	cursor: pointer;
	position: relative;
	background-color: rgba(0, 0, 0, 1);
}
.imgBtn:hover
{
	border-color: rgb(255, 255, 255);
	opacity: 0.7;
    transition-duration: 0.3s;
}
/* About me Classes */
.about-me-p
{
	flex: 1;
}
/* Blog Classes */
.blog-post
{
	scroll-margin-top: 150px;
}
.blog-title
{
	color: rgb(174, 0, 255);
	font-size: 36px;
	text-decoration: underline;
}
.blog-date
{
	color: #a173d1;
}
.blog-p
{
	left: -10%;
	text-align: left;
}
/* Dev Log Classes */
.dev-game-title
{
	font-size: 30px;
	color: #8f3fff;
}
.dev-header
{
	font-size: 36px;
	color: #c300ff;
}


/* Desktop styles */
@media only screen and (min-width: 1440px)
{
	/* Mobile styles to hide */
	.mobile-ver
	{
		display: none;
	}
	.blur-mobile
	{
		display: none;
	}
	.background-wrapper-mobile
	{
		display: none;
	}
}

/* Mobile styles */
@media only screen and (max-width: 1439px) 
{
	body
	{
  		background-image: url(images/background.png);
	}
	.background-wrapper-mobile
	{
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background-image: url(images/background.png);
		background-size: cover;
		background-position: center;
		background-repeat: no-repeat;
		z-index: -1; 
	}
	.mainTitle
	{
		border-style: ridge;
		border-color: black;
	    box-shadow: inset 0 0 10px rgba(0,0,0,.5);
	    padding: 15px;
	    text-align: center;
	    font-size: 24px;
	    font-family: 'Bangers';
	    text-shadow: 1px 1px White;
	    background-color: #a173d1;
	    border-width: thick;
	    color: Black;
	    border-radius: 75px;
	    width: fit-content; 
	    margin: 0; 
	    position: relative;
	}
	.biggerHTags
	{
	    padding: 15px;
	    font-size: 64px;
	    text-shadow: 1px 1px White;
	}
	.smallerHTags
	{
	    padding: 8px;
	    font-size: 20px;
		font-weight: 700;
	    text-shadow: 1px 1px White;
	}
	.gameCon
	{
	    padding: 10px;
	    font-size: 18px;
	    text-shadow: 1px 1px White;
	}
	p
	{
		border-style: ridge;
		border-color: White;
		border-radius: 10px;
		position: relative;
		margin: 10px auto; 
		font-family: 'Montserrat';
		font-size: 15px;
		color: white;
		font-weight: 700;
		text-shadow: 2px 2px black;
		text-align: center;
		overflow: auto;
		padding: 20px;
	  	width: 70%;
	}
	p::before 
	{
		content: '';
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background: inherit; 
		backdrop-filter: blur(10px); 
		-webkit-backdrop-filter: blur(10px); 
		z-index: -1; 
		border-radius: 10px; 
	}
	iframe
	{
	    width: 300px; 
		height: 200px; 
	}
	.button
	{
		border-style: ridge;
		box-shadow: inset 0 0 10px rgba(0,0,0,.5);
		border-radius: 10px;
		background-color: #a173d1;
		padding: 2px;
	  	margin: 5px;
		font-family: 'Bangers';
		font-size: 16px;
		text-shadow: 1px 1px White;
	}
	.selected
	{
		text-shadow: 1px 1px Black;
	}
	audio, img
	{
		border-style: ridge;
		border-color: #000000;
		border-width: 2px;
		box-shadow: inset 0 0 10px rgba(0,0,0,.5);
		border-radius: 30px;
		background-color: White;
		padding: 5px;
		margin: 0 auto; 
		color: black;
		position: relative;
		width: 300px;
	}
	.downloadGame
	{
		left: -10%;
		display: none;
	}
	.centerButtons
	{
		display: flex;
    	justify-content: center;
    	align-items: center;
    	text-align: center;
	}
	.blur
	{
		display: none;
	}
	.blur-mobile
	{
		position: fixed;
    	right: 0;
    	left: 0;
    	top: 0;
    	z-index: 10;
    	padding: 10px;
    	border-style: ridge;
    	border-color: white;
    	border-radius: 10px;
    	backdrop-filter: blur(10px); 
    	-webkit-backdrop-filter: blur(10px); 
	}
	.blur::before 
	{
		content: '';
		backdrop-filter: blur(10px); 
		-webkit-backdrop-filter: blur(10px); 
		position: absolute;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background: inherit; 
		z-index: -1; 
		border-radius: 10px; 
	}
	.filter
	{
		display: none;
	}

	/* About me Classes */
	.about-me-p
	{
		text-align: left;
	}

	/* Blog Classes */
	.blog-title
	{
		font-size: 20px;
	}
	.blog-date
	{
		color: #a173d1;
	}
	.blog-p
	{
		left: 0%;
	}
	.blog-img
	{
		width: 250px;
		display: flex;
    	justify-content: center;
    	align-items: center;
    	text-align: center;
	}

	/* Dev Log Classes */
	.dev-game-title
	{
		font-size: 18px;
		color: #8f3fff;
	}
	.dev-header
	{
		font-size: 20px;
		color: #c300ff;
	}
	.dev-video
	{
		width: 250px;
		height: 150px;
	}

	/* Desktop Styles to Hide */
	.desktop-ver
	{
		display: none;
	}
}
